Kdenlive   bug tracker Home page

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000627KdenliveRenderingpublic2009-01-29 22:072010-08-12 13:39
ReporterEugenia 
Assigned To 
PrioritynormalSeverityfeatureReproducibilityhave not tried
StatusacknowledgedResolutionopen 
Platform32 bit intel and alikeOSUbuntu LinuxOS Version8.10
Product Version0.7.1 
Target VersionFixed in Version 
Summary0000627: Feature requests
Descriptionjmpoure asked me to do some feature requests here. I am a videographer with quite some experience in video editing, so here's my take of what's needed to make KDEnLive useful in the *basic* level. Without these features, it wouldn't be a useful tool to me.

1. Support mixing different frame rate videos in the same timeline, with the ability to disable resampling -- so we can avoid ghosting that's by default created when you drop a different fps clip in a timeline.
2. Have some sort of fast/slow motion control that is measurable. For example, if I want to speed up my footage by 1.353 times exactly, I should be able to do it.
3. Be able to cut audio and video, group/ungroup different clips, and unlink audio from video so I can edit them separately.
4. Able to "see" the timeline/track/clips in a 3D view, so I can pan, crop, zoom, change shape, aspect ratios, etc.
5. Multiple color plugins, pretty much the whole range of the Sony Vegas plugins are needed -- because are the most basic ones. Using only what fre0r wants to develop is useless, because he creates useless plugins for the most part. He creates whatever looks cool, not whatever is needed for basic, but serious, video editing.
6. Secondary monitor support for previewing the video in 1:1 size. I have two 1920x1080 monitors here, secondary monitors, I want to see the preview of my video in fullscreen in these second monitors, so I can make better educated guesses in regards to the video editing or color grading that should take place.
7. Export abilities in the way I show here: http://eugenia.gnomefiles.org/2007/10/18/kdenlive-mockups/ [^] This is a must have.
8. AVCHD 5.1 editing, and AVCHD disk creation (meaning, HD on plain DVD disks that playback on most Blu-Ray players).

In my opinion, these are a must have features until v1.0. For v2.0 keyframing for both the timeline/plugins/pan/crop/etc screens is needed, compositing, undersampling (e.g. show me every other frame), pulldown removals, etc, are needed.
TagsNo tags attached.
Build/Install Method3rd party package
Attached Files

- Relationships
parent of 0000629closedddennedy Resampling support 
parent of 0000630acknowledged Slow/fast motion control 
parent of 0000631closed Timeline usage 
parent of 0000632acknowledgedLeHomard Pan/Crop/3D view 
parent of 0000633acknowledged Improve Color grading 
parent of 0000634acknowledgedLeHomard Secondary monitor support 
parent of 0000635acknowledgedLeHomard How exporting should be 
parent of 0000636acknowledged AVCHD 5.1 audio, and disk creation 
Not all the children of this issue are yet resolved or closed.

-  Notes
(0002291)
Granjow (developer)
2009-01-30 08:11

Hi Eugenia,

Thanks for filing this requests. :)

Could you please open a separate one for every feature? That will allow us to discuss the features separately, assign them to developers, change the status etc. :)

Simon
(0002294)
Eugenia (reporter)
2009-01-30 09:36

Ok, I made different entries for each. Thanks.
(0002295)
Granjow (developer)
2009-01-30 10:41

Cool, thanks :)
(0003071)
ddennedy (developer)
2009-06-03 07:45

reclassifying as feature request
(0005596)
LeHomard (developer)
2010-08-12 13:39

Acknowledging report (although it could be closed because all the child reports have been created...)

- Issue History
Date Modified Username Field Change
2009-01-29 22:07 Eugenia New Issue
2009-01-29 22:07 Eugenia Build/Install Method => 3rd party package
2009-01-30 08:11 Granjow Note Added: 0002291
2009-01-30 09:36 Eugenia Note Added: 0002294
2009-01-30 10:40 Granjow Relationship added parent of 0000629
2009-01-30 10:40 Granjow Relationship added parent of 0000630
2009-01-30 10:40 Granjow Relationship added parent of 0000631
2009-01-30 10:40 Granjow Relationship added parent of 0000632
2009-01-30 10:41 Granjow Relationship added parent of 0000633
2009-01-30 10:41 Granjow Relationship added parent of 0000634
2009-01-30 10:41 Granjow Relationship added parent of 0000635
2009-01-30 10:41 Granjow Relationship added parent of 0000636
2009-01-30 10:41 Granjow Note Added: 0002295
2009-06-03 07:45 ddennedy Note Added: 0003071
2009-06-03 07:45 ddennedy Severity major => feature
2010-08-12 13:39 LeHomard Note Added: 0005596
2010-08-12 13:39 LeHomard Status new => acknowledged


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker